{"openapi":"3.0.4","info":{"title":"Returns a list of cashflows based on the holdings of the portfolios and date range specified in the query.","description":"Returns a list of cashflows based on the holdings of the portfolios and date range specified in the query.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/instrumentevents/$queryCashFlows":{"post":{"tags":["Instrument Events"],"summary":"Returns a list of cashflows based on the holdings of the portfolios and date range specified in the query.","description":"Returns a list of cashflows based on the holdings of the portfolios and date range specified in the query.","operationId":"QueryCashFlows","parameters":[{"name":"limit","in":"query","description":"Optional. When paginating, limit the number of returned results to this many. If not specified, a default\r\nof 1000 is used.","schema":{"type":"integer","format":"int32","default":1000},"x-nullable":true},{"name":"page","in":"query","description":"Optional. The pagination token to use to continue listing items from a previous call. Page values are\r\nreturn from list calls, and must be supplied exactly as returned. Additionally, when specifying this\r\nvalue, queryBody, and limit must not\r\nbe modified.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}}],"requestBody":{"description":"The filter parameters used to retrieve instrument events.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/QueryCashFlowsRequest"},"example":{"windowStart":"2015-01-01T00:00:00.0000000+00:00","windowEnd":"2030-01-01T00:00:00.0000000+00:00","portfolioEntityIds":[{"scope":"portfolioScope","code":"portfolioCode","portfolioEntityType":"SinglePortfolio"}],"recipeId":{"scope":"default","code":"default"},"effectiveAt":"2022-01-01T00:00:00.0000000+00:00"}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/QueryCashFlowsRequest"},"example":{"windowStart":"2015-01-01T00:00:00.0000000+00:00","windowEnd":"2030-01-01T00:00:00.0000000+00:00","portfolioEntityIds":[{"scope":"portfolioScope","code":"portfolioCode","portfolioEntityType":"SinglePortfolio"}],"recipeId":{"scope":"default","code":"default"},"effectiveAt":"2022-01-01T00:00:00.0000000+00:00"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/QueryCashFlowsRequest"},"example":{"windowStart":"2015-01-01T00:00:00.0000000+00:00","windowEnd":"2030-01-01T00:00:00.0000000+00:00","portfolioEntityIds":[{"scope":"portfolioScope","code":"portfolioCode","portfolioEntityType":"SinglePortfolio"}],"recipeId":{"scope":"default","code":"default"},"effectiveAt":"2022-01-01T00:00:00.0000000+00:00"}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/QueryCashFlowsRequest"},"example":{"windowStart":"2015-01-01T00:00:00.0000000+00:00","windowEnd":"2030-01-01T00:00:00.0000000+00:00","portfolioEntityIds":[{"scope":"portfolioScope","code":"portfolioCode","portfolioEntityType":"SinglePortfolio"}],"recipeId":{"scope":"default","code":"default"},"effectiveAt":"2022-01-01T00:00:00.0000000+00:00"}}}},"responses":{"200":{"description":"Instrument Events as Cashflows.","headers":{"Deprecation":{"description":"Only present when the request resolved to cashFlowCalculationVersion=1 (explicitly or by default): an RFC 9745 structured-field date marking when version 1 was deprecated. Set cashFlowCalculationVersion=2, its successor.","schema":{"type":"string"}},"Link":{"description":"Only present when the request resolved to cashFlowCalculationVersion=1: an RFC 8288 link with rel=\"deprecation\" pointing at the version 1 to version 2 migration documentation.","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfInstrumentCashFlow"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfInstrumentCashFlow"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfInstrumentCashFlow"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}